Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.controller.impl
Class AbstractPortletControllerContext

    java.lang.Object
      org.jboss.portal.portlet.controller.impl.AbstractPortletControllerContext

All Implemented Interfaces:
  PortletControllerContext

Direct Known Subclasses:
  PagePortletControllerContext, PortletControllerContextImpl, TCKPortletControllerContext

    public abstract class AbstractPortletControllerContext

extends java.lang.Object
implements PortletControllerContext

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Field Summary
`static org.jboss.portal.common.util.MarkupInfo` | `MARKUP_INFO` .
`static int` | `NAV_SCOPE` .
`static PortalContext` | `PORTAL_CONTEXT` .
`static int` | `SESSION_SCOPE` .

Constructor Summary
`AbstractPortletControllerContext(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`

Method Summary
`PortletInvocationContext` | `createPortletInvocationContext(java.lang.String windowId, PortletPageNavigationalState pageNavigationalState)` Create a portlet invocation context for the specified window id.
`javax.servlet.http.HttpServletRequest` | `getClientRequest()`
`javax.servlet.http.HttpServletResponse` | `getClientResponse()`
`protected abstract org.jboss.portal.common.io.Serialization<PortletPageNavigationalState>` | `getPageNavigationalStateSerialization()`
`protected abstract Portlet` | `getPortlet(java.lang.String windowId)`
`PortletInfo` | `getPortletInfo(java.lang.String windowId)` Returns the portet info for a specified window.
`PortletInvocationResponse` | `invoke(ActionInvocation actionInvocation)`
`PortletInvocationResponse` | `invoke(java.util.List<javax.servlet.http.Cookie> requestCookies, EventInvocation eventInvocation)`
`PortletInvocationResponse` | `invoke(java.util.List<javax.servlet.http.Cookie> requestCookies, RenderInvocation renderInvocation)`
`protected abstract PortletInvocationResponse` | `invoke(PortletInvocation invocation)`
`PortletInvocationResponse` | `invoke(ResourceInvocation resourceInvocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.portal.portlet.controller.PortletControllerContext
`getEventControllerContext, getStateControllerContext`

Field Detail

### PORTAL_CONTEXT

    public static final PortalContext PORTAL_CONTEXT

  .

### MARKUP_INFO

    public static final org.jboss.portal.common.util.MarkupInfo MARKUP_INFO

  .

### NAV_SCOPE

    public static final int NAV_SCOPE

  .

  See Also:
    Constant Field Values

### SESSION_SCOPE

    public static final int SESSION_SCOPE

  .

  See Also:
    Constant Field Values

Constructor Detail

### AbstractPortletControllerContext

    public AbstractPortletControllerContext(javax.servlet.http.HttpServletRequest req,
                                            javax.servlet.http.HttpServletResponse resp)
                                     throws org.jboss.portal.web.IllegalRequestException,
                                            java.io.IOException

Throws:
  `org.jboss.portal.web.IllegalRequestException`
  `java.io.IOException`

Method Detail

### getClientRequest

    public javax.servlet.http.HttpServletRequest getClientRequest()

### getClientResponse

    public javax.servlet.http.HttpServletResponse getClientResponse()

### getPortletInfo

    public PortletInfo getPortletInfo(java.lang.String windowId)

  Description copied from interface: `PortletControllerContext`
  Returns the portet info for a specified window.

  Specified by:
    `getPortletInfo` in interface `PortletControllerContext`
  Parameters:
    `windowId` - the window id
  Returns:
    the portlet info or null if none can be found

### getPortlet

    protected abstract Portlet getPortlet(java.lang.String windowId)
                                   throws PortletInvokerException

  Throws:
    `PortletInvokerException`

### invoke

    protected abstract PortletInvocationResponse invoke(PortletInvocation invocation)
                                                 throws PortletInvokerException

  Throws:
    `PortletInvokerException`

### getPageNavigationalStateSerialization

    protected abstract org.jboss.portal.common.io.Serialization<PortletPageNavigationalState> getPageNavigationalStateSerialization()

### invoke

    public PortletInvocationResponse invoke(ActionInvocation actionInvocation)
                                     throws PortletInvokerException

  Specified by:
    `invoke` in interface `PortletControllerContext`
  Throws:
    `PortletInvokerException`

### invoke

    public PortletInvocationResponse invoke(java.util.List<javax.servlet.http.Cookie> requestCookies,
                                            EventInvocation eventInvocation)
                                     throws PortletInvokerException

  Specified by:
    `invoke` in interface `PortletControllerContext`
  Throws:
    `PortletInvokerException`

### invoke

    public PortletInvocationResponse invoke(java.util.List<javax.servlet.http.Cookie> requestCookies,
                                            RenderInvocation renderInvocation)
                                     throws PortletInvokerException

  Specified by:
    `invoke` in interface `PortletControllerContext`
  Throws:
    `PortletInvokerException`

### invoke

    public PortletInvocationResponse invoke(ResourceInvocation resourceInvocation)
                                     throws PortletInvokerException

  Specified by:
    `invoke` in interface `PortletControllerContext`
  Throws:
    `PortletInvokerException`

### createPortletInvocationContext

    public PortletInvocationContext createPortletInvocationContext(java.lang.String windowId,
                                                                   PortletPageNavigationalState pageNavigationalState)

  Description copied from interface: `PortletControllerContext`
  Create a portlet invocation context for the specified window id.

  Specified by:
    `createPortletInvocationContext` in interface `PortletControllerContext`
  Parameters:
    `windowId` - the window id
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.